public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: add the thttpd test to upstream repo
@ 2026-09-11 13:20 Milos Malik
0 siblings, 0 replies; only message in thread
From: Milos Malik @ 2026-09-11 13:20 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 67fe54314a6a997f346871e284192afeba598f88
Author : Milos Malik <mmalik@redhat.com>
Date : 2023-06-22T12:25:17+00:00
Stats : +234/-0 in 4 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/67fe54314a6a997f346871e284192afeba598f88?branch=pr775-checkpolicy-revdeps
Log:
add the thttpd test to upstream repo
The thttpd component is frequently used by various users on Fedora
and RHEL, so it makes sense to run this TC in upstream testing too.
There are no changes in the TC functionality.
Moving the downstream TC to upstream repo.
---
diff --git a/selinux-policy/thttpd-and-similar/Makefile b/selinux-policy/thttpd-and-similar/Makefile
new file mode 100644
index 0000000..550c373
--- /dev/null
+++ b/selinux-policy/thttpd-and-similar/Makefile
@@ -0,0 +1,71 @@
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Makefile of /CoreOS/selinux-policy/Regression/thttpd-and-similar
+# Description: SELinux interferes with thhtpd and related programs
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+export TEST=/CoreOS/selinux-policy/Regression/thttpd-and-similar
+export TESTVERSION=1.0
+
+BUILT_FILES=
+
+FILES=$(METADATA) runtest.sh Makefile PURPOSE
+
+.PHONY: all install download clean
+
+run: $(FILES) build
+ ./runtest.sh
+
+build: $(BUILT_FILES)
+ chmod a+x runtest.sh
+ chcon -t bin_t runtest.sh
+
+clean:
+ rm -f *~ $(BUILT_FILES)
+
+include /usr/share/rhts/lib/rhts-make.include
+
+$(METADATA): Makefile
+ @echo "Owner: Milos Malik <mmalik@redhat.com>" > $(METADATA)
+ @echo "Name: $(TEST)" >> $(METADATA)
+ @echo "TestVersion: $(TESTVERSION)" >> $(METADATA)
+ @echo "Path: $(TEST_DIR)" >> $(METADATA)
+ @echo "Description: SELinux interferes with thttpd and related programs" >> $(METADATA)
+ @echo "Type: Regression" >> $(METADATA)
+ @echo "TestTime: 5m" >> $(METADATA)
+ @echo "RunFor: selinux-policy" >> $(METADATA)
+ @echo "Requires: audit libselinux libselinux-utils policycoreutils selinux-policy selinux-policy-targeted /usr/sbin/service setools-console thttpd" >> $(METADATA) # EPEL
+ @echo "RhtsRequires: library(selinux-policy/common)" >> $(METADATA)
+ @echo "Priority: Normal" >> $(METADATA)
+ @echo "License: GPLv2" >> $(METADATA)
+ @echo "Confidential: no" >> $(METADATA)
+ @echo "Destructive: no" >> $(METADATA)
+ @echo "Environment: AVC_ERROR=+no_avc_check" >> $(METADATA)
+ @echo "Releases: -RHEL4" >> $(METADATA)
+ @echo "Architectures: i386 x86_64" >> $(METADATA)
+ @echo "Bug: 1069843" >> $(METADATA) # RHEL-6
+ @echo "Bug: 1087384" >> $(METADATA) # RHEL-7
+ @echo "Bug: 1111581" >> $(METADATA) # RHEL-6
+
+ rhts-lint $(METADATA)
+
diff --git a/selinux-policy/thttpd-and-similar/PURPOSE b/selinux-policy/thttpd-and-similar/PURPOSE
new file mode 100644
index 0000000..4d669c4
--- /dev/null
+++ b/selinux-policy/thttpd-and-similar/PURPOSE
@@ -0,0 +1,5 @@
+PURPOSE of /CoreOS/selinux-policy/Regression/thttpd-and-similar
+Author: Milos Malik <mmalik@redhat.com>
+
+SELinux interferes with thttpd and related programs.
+
diff --git a/selinux-policy/thttpd-and-similar/main.fmf b/selinux-policy/thttpd-and-similar/main.fmf
new file mode 100644
index 0000000..bbc4973
--- /dev/null
+++ b/selinux-policy/thttpd-and-similar/main.fmf
@@ -0,0 +1,48 @@
+summary: SELinux interferes with the thttpd and related programs
+description: |+
+ SELinux interferes with thttpd and related programs.
+
+contact: Milos Malik <mmalik@redhat.com>
+component:
+ - selinux-policy
+test: ./runtest.sh
+framework: beakerlib
+require:
+ - library(selinux-policy/common)
+recommend:
+ - audit
+ - libselinux
+ - libselinux-utils
+ - policycoreutils
+ - selinux-policy
+ - selinux-policy-targeted
+ - /usr/sbin/service
+ - setools-console
+ - thttpd
+environment:
+ AVC_ERROR: +no_avc_check
+duration: 5m
+enabled: true
+tag:
+ - NoRHEL4
+ - Tier2
+ - Tier2se
+ - TierCandidatesPASS
+ - f31friendly
+ - f32friendly
+ - targeted
+tier: '2'
+link:
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1069843
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1087384
+ - relates: https://bugzilla.redhat.com/show_bug.cgi?id=1111581
+adjust:
+ - enabled: false
+ when: distro == rhel-4, rhel-alt-7, rhel-9
+ continue: false
+ - enabled: false
+ when: arch == i386, ppc64, s390
+ continue: false
+extra-nitrate: TC#0340646
+extra-summary: /CoreOS/selinux-policy/Regression/thttpd-and-similar
+extra-task: /CoreOS/selinux-policy/Regression/thttpd-and-similar
diff --git a/selinux-policy/thttpd-and-similar/runtest.sh b/selinux-policy/thttpd-and-similar/runtest.sh
new file mode 100755
index 0000000..4570319
--- /dev/null
+++ b/selinux-policy/thttpd-and-similar/runtest.sh
@@ -0,0 +1,110 @@
+#!/bin/bash
+# vim: dict=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /CoreOS/selinux-policy/Regression/thttpd-and-similar
+# Description: SELinux interferes with thttpd and related programs
+# Author: Milos Malik <mmalik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2012 Red Hat, Inc. All rights reserved.
+#
+# This copyrighted material is made available to anyone wishing
+# to use, modify, copy, or redistribute it subject to the terms
+# and conditions of the GNU General Public License version 2.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with this program; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
+# Boston, MA 02110-1301, USA.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+PACKAGE="selinux-policy"
+ROOT_PASSWORD="redhat"
+FILE_PATH="/usr/sbin/thttpd"
+FILE_CONTEXT="httpd_exec_t"
+SERVICE_PACKAGE="thttpd"
+SERVICE_NAME="thttpd"
+PROCESS_NAME="thttpd"
+PROCESS_CONTEXT="httpd_t"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlRun "rlImport 'selinux-policy/common'"
+ rlSESatisfyRequires
+ rlAssertRpm ${PACKAGE}
+ rlAssertRpm ${PACKAGE}-targeted
+ rlAssertRpm ${SERVICE_PACKAGE}
+
+ rlServiceStop `rlSEListServices 80`
+ rlFileBackup /etc/shadow
+
+ rlSESetEnforce
+ rlSEStatus
+ rlSESetTimestamp
+ sleep 2
+ rlPhaseEnd
+
+ if ! rlIsRHEL 5 ; then
+ rlPhaseStartTest "bz#1069843"
+ rlSEMatchPathCon "${FILE_PATH}" "${FILE_CONTEXT}"
+ if rlIsRHEL 6 ; then
+ SOURCE_TYPE="initrc_t"
+ else # RHEL-7 etc.
+ SOURCE_TYPE="init_t" # systemd runs the process
+ fi
+ rlSEMatchPathCon "/etc/thttpd.conf" "httpd_config_t"
+ rlSEMatchPathCon "/var/log/thttpd.log" "httpd_log_t"
+ rlSEMatchPathCon "/var/run/thttpd.pid" "httpd_var_run_t"
+ rlSESearchRule "allow ${SOURCE_TYPE} ${FILE_CONTEXT} : file { getattr open read execute } $BOOLEANS"
+ rlSESearchRule "allow ${SOURCE_TYPE} ${PROCESS_CONTEXT} : process { transition } $BOOLEANS"
+ rlSESearchRule "type_transition ${SOURCE_TYPE} ${FILE_CONTEXT} : process ${PROCESS_CONTEXT} $BOOLEANS"
+ rlPhaseEnd
+
+ rlPhaseStartTest "bz#1087384 + bz#1111581"
+ if rlIsRHEL 6 ; then
+ rlSEMatchPathCon "/etc/rc.d/init.d/thttpd" "httpd_initrc_exec_t"
+ else # RHEL-7 etc.
+ rlSEMatchPathCon "/lib/systemd/system/thttpd.service" "httpd_unit_file_t"
+ fi
+ rlSEMatchPathCon "/usr/sbin/thttpd" "httpd_exec_t"
+ rlSEMatchPathCon "/var/log/thttpd.log" "httpd_log_t"
+ rlSESearchRule "allow httpd_t httpd_t : capability { sys_chroot }"
+ rlSESearchRule "allow httpd_t httpd_log_t : file { setattr }"
+ rlPhaseEnd
+ fi
+
+ rlPhaseStartTest "real scenario -- standalone service"
+ # because of the fowner capability
+ rlRun "setsebool httpd_run_stickshift on"
+ rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"
+ if rlIsRHEL 5 ; then
+ # for RHELs where the SELinux domain does not exist yet
+ PROCESS_CONTEXT="initrc_t"
+ fi
+ rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "start status" 1
+ rlRun "restorecon -Rv /etc /var /run -e /var/ARTIFACTS" 0-255
+ rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
+ rlRun "setsebool httpd_run_stickshift off"
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ sleep 2
+ rlSECheckAVC
+
+ rlFileRestore
+ rlServiceRestore `rlSEListServices 80`
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
+
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:20 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:20 [tests/selinux] pr775-checkpolicy-revdeps: add the thttpd test to upstream repo Milos Malik
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox